<?php

use Illuminate\Database\Seeder;

class TransferrequestTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('transferrequests')->insert([
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/transferrequest/transferrequest',
                'name'        => 'Transferrequests',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 1,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/transferrequests',
                'name'        => 'Transferrequests',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 1,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'transferrequests',
                'name'        => 'Transferrequests',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 1,
                'status'      => 1,
            ],

        ]);


        DB::table('permissions')->insert([
            [
                'slug'      => 'transferrequest.transferrequest.view',
                'name'      => 'View Transferrequest',
            ],
            [
                'slug'      => 'transferrequest.transferrequest.create',
                'name'      => 'Create Transferrequest',
            ],
            [
                'slug'      => 'transferrequest.transferrequest.edit',
                'name'      => 'Update Transferrequest',
            ],
            [
                'slug'      => 'transferrequest.transferrequest.delete',
                'name'      => 'Delete Transferrequest',
            ],
        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'key'      => 'transferrequest.transferrequest.key',
                'name'     => 'Some name',
                'value'    => 'Some value',
                'type'     => 'Default',
            ],
            */
        ]);
    }
}
