<?php

// Admin web routes  for transferrequest
Route::group(['prefix' => trans_setlocale().'/admin/transferrequest'], function () {
    Route::resource('transferrequest', 'Assetdocs\Transferrequest\Http\Controllers\TransferrequestAdminController');
});

// Admin API routes  for transferrequest
Route::group(['prefix' => trans_setlocale().'api/v1/admin/transferrequest'], function () {
    Route::resource('transferrequest', 'Assetdocs\Transferrequest\Http\Controllers\TransferrequestAdminApiController');
});

// User web routes for transferrequest
Route::group(['prefix' => trans_setlocale().'/user/transferrequests'], function () {
    Route::resource('/', 'Assetdocs\Transferrequest\Http\Controllers\TransferrequestUserController');
});

// User API routes for transferrequest
Route::group(['prefix' => trans_setlocale().'api/v1/user/transferrequests'], function () {
    Route::resource('/', 'Assetdocs\Transferrequest\Http\Controllers\TransferrequestUserApiController');
});

// Public web routes for transferrequest
Route::group(['prefix' => trans_setlocale().'/transferrequests'], function () {
    Route::get('/', 'Assetdocs\Transferrequest\Http\Controllers\TransferrequestController@index');
    Route::get('/{slug?}', 'Assetdocs\Transferrequest\Http\Controllers\TransferrequestController@show');
});

// Public API routes for transferrequest
Route::group(['prefix' => trans_setlocale().'api/v1/transferrequests'], function () {
    Route::get('/', 'Assetdocs\Transferrequest\Http\Controllers\TransferrequestApiController@index');
    Route::get('/{slug?}', 'Assetdocs\Transferrequest\Http\Controllers\TransferrequestApiController@show');
});

