<?php

namespace Assetdocs\Transferrequest\Repositories\Eloquent;

use Assetdocs\Transferrequest\Interfaces\TransferrequestRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class TransferrequestRepository extends BaseRepository implements TransferrequestRepositoryInterface
{
    /**
     * Booting the repository.
     *
     * @return null
     */
    public function boot()
    {
        $this->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'));
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        $this->fieldSearchable = config('package.transferrequest.transferrequest.search');
        return config('package.transferrequest.transferrequest.model');
    }
}
