<?php

namespace Assetdocs\Transferrequest\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TransferrequestItemTransformer extends TransformerAbstract
{
    public function transform(\Assetdocs\Transferrequest\Models\Transferrequest $transferrequest)
    {
        return [
            'id'                => $transferrequest->getRouteKey(),
            'id'                => $transferrequest->id,
            'user_id'           => $transferrequest->user_id,
            'category_id'       => $transferrequest->category_id,
            'subcategory_id'    => $transferrequest->subcategory_id,
            'location_id'       => $transferrequest->location_id,
            'sublocation_id'    => $transferrequest->sublocation_id,
            'quantity'          => $transferrequest->quantity,
            'approved_by'       => $transferrequest->approved_by,
            'requested_by'      => $transferrequest->requested_by,
            'transfer_request_by' => $transferrequest->transfer_request_by,
            'status'            => $transferrequest->status,
            'admin_remarks'     => $transferrequest->admin_remarks,
            'transfered_date'   => $transferrequest->transfered_date,
            'created_at'        => $transferrequest->created_at,
            'updated_at'        => $transferrequest->updated_at,
            'deleted_at'        => $transferrequest->deleted_at,
        ];
    }
}