@include('public::notifications')
<div class="container">
    <div class="row">
        <div class="col-md-6">
            <h4 class="text-dark  header-title m-t-0"> My Transferrequests </h4>
        </div>
        <div class="col-md-6">
            <a href="{{ trans_url('/user/transferrequest/transferrequest/create') }}" class="btn btn-default pull-right"> {{ trans('cms.create')  }} Transferrequest</a>
        </div>
    </div>
    <p class="text-muted m-b-25 font-13">
        Your awesome text goes here.
    </p>
    <hr>
    <div class="row">
        <div class="col-md-4 m-b-5 pull-right">
            {!!Form::open()->method('GET')!!}
            <div class="input-group">
              {!!Form::text('search')->type('search')->class('form-control')->placeholder('Search for...')->raw()!!}
              <span class="input-group-btn">
                <button class="btn btn-primary" type="submit">Search</button>
              </span>
            </div>
            {!! Form::close()!!}
        </div>
    </div>   
    
    <div class="table-responsive">
        <table class="table">
            <thead>
                <tr>
                    <th>{!! trans('transferrequest::transferrequest.label.user_id')!!}</th>
        <th>{!! trans('transferrequest::transferrequest.label.category_id')!!}</th>
        <th>{!! trans('transferrequest::transferrequest.label.subcategory_id')!!}</th>
        <th>{!! trans('transferrequest::transferrequest.label.location_id')!!}</th>
        <th>{!! trans('transferrequest::transferrequest.label.sublocation_id')!!}</th>
        <th>{!! trans('transferrequest::transferrequest.label.quantity')!!}</th>
        <th>{!! trans('transferrequest::transferrequest.label.approved_by')!!}</th>
        <th>{!! trans('transferrequest::transferrequest.label.requested_by')!!}</th>
        <th>{!! trans('transferrequest::transferrequest.label.transfer_request_by')!!}</th>
        <th>{!! trans('transferrequest::transferrequest.label.status')!!}</th>
        <th>{!! trans('transferrequest::transferrequest.label.admin_remarks')!!}</th>
        <th>{!! trans('transferrequest::transferrequest.label.transfered_date')!!}</th>
        <th>{!! trans('transferrequest::transferrequest.label.created_at')!!}</th>
                    <th width="150">{!! trans('transferrequest::transferrequest.label.status')!!}</th>
                    <th width="150">Action</th>
                </tr>
            </thead>
            <tbody>
                @foreach($transferrequests as $transferrequest)
                <tr id="user-transferrequest-transferrequest-{!! $transferrequest->getRouteKey() !!}">
                    <td>{{ $transferrequest->user_id }}</td>
                    <td>{{ $transferrequest->category_id }}</td>
                    <td>{{ $transferrequest->subcategory_id }}</td>
                    <td>{{ $transferrequest->location_id }}</td>
                    <td>{{ $transferrequest->sublocation_id }}</td>
                    <td>{{ $transferrequest->quantity }}</td>
                    <td>{{ $transferrequest->approved_by }}</td>
                    <td>{{ $transferrequest->requested_by }}</td>
                    <td>{{ $transferrequest->transfer_request_by }}</td>
                    <td>{{ $transferrequest->status }}</td>
                    <td>{{ $transferrequest->admin_remarks }}</td>
                    <td>{{ $transferrequest->transfered_date }}</td>
                    <td>{{ $transferrequest->created_at }}</td>
                    <td><span class="label status-{{ $transferrequest->status }}"> {{ $transferrequest->status }} </span></td>
                    <td>
                        <a href="{{ trans_url('/user') }}/transferrequest/transferrequest/{!! $transferrequest->getRouteKey() !!}"> View </a>
                        <a href="{{ trans_url('/user') }}/transferrequest/transferrequest/{!! $transferrequest->getRouteKey() !!}/edit"> Edit </a>
                        <a data-action="DELETE" 
                            data-href="{{ trans_url('/user') }}/transferrequest/transferrequest/{!! $transferrequest->getRouteKey() !!}" 
                            href="trans_url('/user')/transferrequest/transferrequest/{!! $transferrequest->getRouteKey() !!}" data-remove="user-transferrequest-transferrequest-{!! $transferrequest->getRouteKey() !!}"> 
                            Delete 
                        </a>
                    </td>
                </tr>
                @endforeach
            </tbody>
        </table>
    </div>
    {{ $transferrequests->links() }}
</div>