@include('public::notifications')
<div class="container">
    <div class="row">
        <div class="col-md-6">
            <h4 class="text-dark  header-title m-t-0"> Details of {!! $transferrequest['name'] !!} </h4>
        </div>
        <div class="col-md-6">
            <div class='pull-right'>
                <a href="{{ trans_url('/user/transferrequest/transferrequest') }}" class="btn btn-default"> {{ trans('cms.back')  }}</a>
                <a href="{{ trans_url('/user/transferrequest/transferrequest') }}/{{ transferrequest->getRouteKey() }}/edit" class="btn btn-success"> {{ trans('cms.edit')  }}</a>
                <a href="{{ trans_url('/user/transferrequest/transferrequest') }}/{{ transferrequest->getRouteKey() }}/copy" class="btn btn-warning"> {{ trans('cms.copy')  }}</a>
                <a href="{{ trans_url('/user/transferrequest/transferrequest') }}/{{ transferrequest->getRouteKey() }}/delete" class="btn btn-danger"> {{ trans('cms.delete')  }}</a>
            </div>
        </div>
    </div>
    <p class="text-muted m-b-25 font-13">
        Your awesome text goes here.
    </p>
    <hr/>

    <div class="row">
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="id">
                    {!! trans('transferrequest::transferrequest.label.id') !!}
                </label><br />
                    {!! $transferrequest['id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="user_id">
                    {!! trans('transferrequest::transferrequest.label.user_id') !!}
                </label><br />
                    {!! $transferrequest['user_id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="category_id">
                    {!! trans('transferrequest::transferrequest.label.category_id') !!}
                </label><br />
                    {!! $transferrequest['category_id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="subcategory_id">
                    {!! trans('transferrequest::transferrequest.label.subcategory_id') !!}
                </label><br />
                    {!! $transferrequest['subcategory_id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="location_id">
                    {!! trans('transferrequest::transferrequest.label.location_id') !!}
                </label><br />
                    {!! $transferrequest['location_id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="sublocation_id">
                    {!! trans('transferrequest::transferrequest.label.sublocation_id') !!}
                </label><br />
                    {!! $transferrequest['sublocation_id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="quantity">
                    {!! trans('transferrequest::transferrequest.label.quantity') !!}
                </label><br />
                    {!! $transferrequest['quantity'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="approved_by">
                    {!! trans('transferrequest::transferrequest.label.approved_by') !!}
                </label><br />
                    {!! $transferrequest['approved_by'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="requested_by">
                    {!! trans('transferrequest::transferrequest.label.requested_by') !!}
                </label><br />
                    {!! $transferrequest['requested_by'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="transfer_request_by">
                    {!! trans('transferrequest::transferrequest.label.transfer_request_by') !!}
                </label><br />
                    {!! $transferrequest['transfer_request_by'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="status">
                    {!! trans('transferrequest::transferrequest.label.status') !!}
                </label><br />
                    {!! $transferrequest['status'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="admin_remarks">
                    {!! trans('transferrequest::transferrequest.label.admin_remarks') !!}
                </label><br />
                    {!! $transferrequest['admin_remarks'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="transfered_date">
                    {!! trans('transferrequest::transferrequest.label.transfered_date') !!}
                </label><br />
                    {!! $transferrequest['transfered_date'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="created_at">
                    {!! trans('transferrequest::transferrequest.label.created_at') !!}
                </label><br />
                    {!! $transferrequest['created_at'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="updated_at">
                    {!! trans('transferrequest::transferrequest.label.updated_at') !!}
                </label><br />
                    {!! $transferrequest['updated_at'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="deleted_at">
                    {!! trans('transferrequest::transferrequest.label.deleted_at') !!}
                </label><br />
                    {!! $transferrequest['deleted_at'] !!}
            </div>
        </div>
    </div>
</div>